{"swagger":"2.0","info":{"description":"This is the 250 Keirin API","version":"1.0.0","title":"250 Keirin API"},"tags":[{"name":"admins","description":"Operations available to regular administrators"},{"name":"users","description":"Operations available to regular users"}],"paths":{"/admin/login":{"post":{"tags":["admins"],"summary":"Login Page for administrators","operationId":"admin_login_page","description":"By passing in the appropriate email and password, you can be \nauthorized to access the  250 Keirin Administrator site\n","produces":["application/json"],"consumes":["application/x-www-form-urlencoded"],"parameters":[{"in":"formData","name":"email","description":"pass the registerd email to login","required":true,"type":"string"},{"in":"formData","name":"password","description":"pass the registerd password to login","required":true,"type":"string"}],"responses":{"200":{"description":"login successfully","schema":{"type":"object","properties":{"status":{"type":"string","description":"have value 'ok' if login successfully"},"access_token":{"type":"string","description":"secured token used for authorization process"},"expires_in":{"type":"integer","description":"the lifetime of the token in second"}}}},"401":{"description":"login failed","schema":{"type":"object","properties":{"status":{"type":"string","description":"have value 'failed' if login failed"},"messages":{"type":"array","items":{"type":"string"},"description":"returned when credentials not matched"},"errors":{"description":"the lifetime of the token in second","type":"object","properties":{"email":{"type":"string","description":"missing email error"},"password":{"type":"string","description":"missing password error"}}}}}}}}},"/logout":{"get":{"tags":["admins","users"],"summary":"Logout page","operationId":"logout","description":"By passing in the appropriate email and password, you can be \nauthorized to access the  250 Keirin Administrator site\n","produces":["application/json"],"parameters":[{"in":"header","name":"Authorization","description":"containing secured token for authorization process","required":true,"type":"string"}],"responses":{"200":{"description":"login successfully","schema":{"type":"object","properties":{"status":{"type":"string","description":"have value 'ok' if logout successfully"}}}}}}},"/resetPassword":{"post":{"tags":["users"],"summary":"Reset password for user","operationId":"reset","description":"By passing in the appropriate email and password, you can be \nchange password for user of 250 Keirin web potal site\n","produces":["application/json"],"consumes":["application/x-www-form-urlencoded"],"parameters":[{"in":"formData","name":"email","description":"email to reset password","required":true,"type":"string"},{"in":"formData","name":"password","description":"password to reset password","required":true,"type":"string"},{"in":"formData","name":"password_confirmation","description":"password_confirmation to reset password","required":true,"type":"string"}],"responses":{"200":{"description":"reset successfully","schema":{"type":"object","properties":{"status":{"type":"string","description":"the message successfully of reset password"}}}},"422":{"description":"Validate failed","schema":{"type":"object","properties":{"status":{"type":"string","description":"the message error of reset pasword"}}}}}}},"/detai/user":{"get":{"tags":["users"],"summary":"Display mypage of user","operationId":"userid","description":"By passing in the appropriate email and password, you can be \nauthorized to access the  250 Keirin Administrator site\n","produces":["application/json"],"parameters":[{"in":"query","name":"Authorization","description":"containing secured token for authorization process","required":true,"type":"string"}],"responses":{"200":{"description":"Success operation","schema":{"type":"object","properties":{"user_id":{"type":"string","description":"User id"},"email":{"type":"string","description":"email of user"},"avater_img":{"type":"string","description":"link avatar of user"},"lastname":{"type":"string","description":"lastname of user"},"firstname":{"type":"string","description":"firstname of user"},"lastname_kana":{"type":"string","description":"lastname_kana of user"},"firstname_kana":{"type":"string","description":"firstname_kana of user"},"sex":{"type":"string","description":"sex of user"},"age":{"type":"number","description":"age of user"},"day":{"type":"number","description":"birth of user"},"month":{"type":"number","description":"birth of user"},"year":{"type":"number","description":"birth of user"},"nationality":{"type":"string","description":"nationality of user"},"zip_code":{"type":"string","description":"nationality of user"},"prefectures":{"type":"object","properties":{"name":{"type":"string","description":"prefectures of user"}}},"city":{"type":"string","description":"city of user"},"address":{"type":"string","description":"address of user"},"phone":{"type":"string","description":"address of user"},"verification":{"type":"object","properties":{"verification_id":{"type":"number","description":"verification_id of user"},"verification_status":{"type":"string","description":"verification_status of user"},"verification_date":{"type":"string","description":"verify_at of user"}}},"status":{"type":"string","description":"status of user"},"identification_status":{"type":"string","description":"identification_status of user"},"lastlogined_at":{"type":"string","description":"lastlogined_at of user"},"created_at":{"type":"string","description":"created_at of user"},"verified_at":{"type":"string","description":"verified_at of user"},"updated_at":{"type":"string","description":"updated_at of user"},"remember_token":{"type":"string","description":"remember_token of user"},"username":{"type":"string","description":"username of user"}}}}}}}},"host":"api.keirin.local","basePath":"/api","schemes":["http"]}